<?php
/* -----------------------------------------------------------------------------------------
   VaM Cart
   http://vamcart.com
   http://vamcart.ru
   Copyright 2009-2010 VaM Cart
   -----------------------------------------------------------------------------------------
   Portions Copyright:
   Copyright 2007 by Kevin Grandon (kevingrandon@hotmail.com)
   -----------------------------------------------------------------------------------------
   Released under the GNU General Public License
   ---------------------------------------------------------------------------------------*/

class OrdersController extends AppController {
	var $name = 'Orders';
	var $helpers = array('Time');
	var $components = array('EventBase', 'Email', 'Smarty','ConfigurationBase');
	var $paginate = array('limit' => 25, 'order' => array('Order.created' => 'desc'));

	function confirmation ()
	{
		
		global $config;
		global $order;
		
		foreach($_POST AS $key => $value)
			$order['Order'][$key] = $value;
		
		$this->Order->save($order);
		
		$this->redirect('/page/confirmation' . $config['URL_EXTENSION']);				
				
	}
		
	function place_order ()
	{
		global $config;
		
		if (isset($_SESSION['Customer']['order_id'])) {
		
		$order = $this->Order->read(null,$_SESSION['Customer']['order_id']);
		
		$this->EventBase->ProcessEvent('PlaceOrderBeforeSave');
		
		foreach($_POST AS $key => $value)
			$order['Order'][$key] = $value;
		
		// Get the default order status
		if ($order['Order']['order_status_id'] == 0) {
		$default_status = $this->Order->OrderStatus->find(array('default' => '1'));
		$order['Order']['order_status_id'] = $default_status['OrderStatus']['id'];
		}
		
		// Save the order
		$this->Order->save($order);
		
		// Load the after_process function from the payment modules
		$this->requestAction('/payment/'.$order['PaymentMethod']['alias'].'/after_process/');
		
		// Empty the cart
		$_SESSION['Customer']['order_id'] = null;
		
		$this->EventBase->ProcessEvent('PlaceOrderAfterSave');
		
		// Sending email
		
		// Retrieve email template
		App::import('Model', 'EmailTemplate');
		
		$this->EmailTemplate =& new EmailTemplate();
		
		$this->EmailTemplate->unbindModel(array('hasMany' => array('EmailTemplateDescription')));
		$this->EmailTemplate->bindModel(
	        array('hasOne' => array(
				'EmailTemplateDescription' => array(
                    'className' => 'EmailTemplateDescription',
					'conditions'   => 'language_id = ' . $this->Session->read('Customer.language_id')
                )
            )
           	)
	    );
		
		// Get email template
		$email_template = $this->EmailTemplate->findByAlias('new-order');
		// Get current order status
		$current_order_status = $this->Order->OrderStatus->OrderStatusDescription->find('first', array('conditions' => array('OrderStatusDescription.order_status_id =' => $order['Order']['order_status_id'], 'OrderStatusDescription.language_id =' => $this->Session->read('Customer.language_id'))));
		
		// Email Subject
		$subject = $email_template['EmailTemplateDescription']['subject'];
		$subject = str_replace('{$order_number}',$order['Order']['id'], $subject);
		$subject = $config['SITE_NAME'] . ' - ' . $subject;
		
		$body = $email_template['EmailTemplateDescription']['content'];
		$body = str_replace('{$name}', $order['Order']['bill_name'], $body);
		$body = str_replace('{$order_number}', $order['Order']['id'], $body);
		$body = str_replace('{$order_status}', $current_order_status['OrderStatusDescription']['name'], $body);
		
		$order = $this->Order->find('all', array('conditions' => array('Order.id' => $order['Order']['id'])));
		$order = $order[0];
		
		$order_products = '';
		foreach($order['OrderProduct'] AS $product) 
		{
			$order_products .= $product['quantity'] . ' x ' . $product['name'] . ' = ' . $product['quantity']*$product['price'] . "\n";
		}
		$order_products .= "\n" . $order['ShippingMethod']['name'] . ': ' . $order['Order']['shipping'] . "\n";
		$order_products .= __('Order Total',true) . ': ' . $order['Order']['total'] . "\n";
		
		$body = str_replace('{$products}', $order_products, $body);
		
		if ($order['Order']['email'] != '') {
		// Set up mail
		$this->Email->init();
		$this->Email->From = $config['NEW_ORDER_FROM_EMAIL'];
		$this->Email->FromName = __($config['NEW_ORDER_FROM_NAME'],true);
		// Send to customer
		$this->Email->AddAddress($order['Order']['email']);
		$this->Email->Subject = $subject;

		// Email Body
		$this->Email->Body = $body;
		
		// Sending mail
		$this->Email->send();
		}
		
		// Send to admin
		if($config['SEND_EXTRA_EMAIL'] != '')
		{
		
		// Set up mail
		$this->Email->init();
		$this->Email->From = $config['NEW_ORDER_FROM_EMAIL'];
		$this->Email->FromName = __($config['NEW_ORDER_FROM_NAME'],true);
		$this->Email->AddAddress($config['SEND_EXTRA_EMAIL']);
		$this->Email->Subject = $subject;

		// Email Body
		$this->Email->Body = $body;
		
		// Sending mail
		$this->Email->send();
		
		}
		
		}
		
		// Get the configuration values to redirect
		$this->redirect('/page/success' . $config['URL_EXTENSION']);
	}
	
	function admin_delete ($id)
	{
		$this->Order->delete($id,true);
		$this->Session->setFlash(__('Record deleted.',true));
		$this->redirect('/orders/admin/');
	}

	function admin_new_comment ($user = null)
	{
		// First get the original order, and see if we're changing status
		$old_order = $this->Order->read(null,$this->data['Order']['id']);

		if($old_order['Order']['order_status_id'] != $this->data['Order']['order_status_id'])
		{
			// Do nothing for now, but we'll do something later I think....
		}
		
		$this->Order->save($this->data);
		$this->Order->OrderComment->save($this->data);
		
		if ($this->data['OrderComment']['sent_to_customer'] == 1) {
		
		global $config;
		$config = $this->ConfigurationBase->load_configuration();
		
		// Retrieve email template
		App::import('Model', 'EmailTemplate');
		
		$this->EmailTemplate =& new EmailTemplate();
		
		$this->EmailTemplate->unbindModel(array('hasMany' => array('EmailTemplateDescription')));
		$this->EmailTemplate->bindModel(
	        array('hasOne' => array(
				'EmailTemplateDescription' => array(
                    'className' => 'EmailTemplateDescription',
					'conditions'   => 'language_id = ' . $this->Session->read('Customer.language_id')
                )
            )
           	)
	    );
		
		// Get email template
		$email_template = $this->EmailTemplate->findByAlias('new-order-status');
		// Get current order status
		$current_order_status = $this->Order->OrderStatus->OrderStatusDescription->find('first', array('conditions' => array('OrderStatusDescription.order_status_id =' => $this->data['Order']['order_status_id'], 'OrderStatusDescription.language_id =' => $this->Session->read('Customer.language_id'))));
		
		if ($old_order['Order']['email'] != '') {
		// Set up mail
		$this->Email->init();
		$this->Email->From = $config['NEW_ORDER_STATUS_FROM_EMAIL'];
		$this->Email->FromName = __($config['NEW_ORDER_STATUS_FROM_NAME'],true);
		$this->Email->AddAddress($old_order['Order']['email']);
		
		// Email Subject
		$subject = $email_template['EmailTemplateDescription']['subject'];
		$subject = str_replace('{$order_number}', $this->data['Order']['id'], $subject);
		$subject = $config['SITE_NAME'] . ' - ' . $subject;
		$this->Email->Subject = $subject;
		
		$body = $email_template['EmailTemplateDescription']['content'];
		$body = str_replace('{$name}', $old_order['Order']['bill_name'], $body);
		$body = str_replace('{$order_number}', $this->data['Order']['id'], $body);
		$body = str_replace('{$order_status}', $current_order_status['OrderStatusDescription']['name'], $body);
		$body = str_replace('{$comments}', $this->data['OrderComment']['comment'], $body);
		
		// Email Body
		$this->Email->Body = $body;
		
		// Sending mail
		$this->Email->send();
		}
		
		}
		
		$this->redirect('/orders/admin_view/' . $this->data['Order']['id']);
	}	
	
	function admin_view ($id)
	{
		$this->set('current_crumb', __('Order View', true));
		$this->set('title_for_layout', __('Order View', true));
		$order = $this->Order->find('all', array('conditions' => array('Order.id' => $id)));
		$this->set('data',$order[0]);
		
		// Bind and set the order status select list
		$this->Order->OrderStatus->unbindModel(array('hasMany' => array('OrderStatusDescription')));
		$this->Order->OrderStatus->bindModel(
	        array('hasOne' => array(
				'OrderStatusDescription' => array(
                    'className' => 'OrderStatusDescription',
					'conditions'   => 'language_id = ' . $this->Session->read('Customer.language_id')
                )
            )
           	)
	    );		
		
		$status_list = $this->Order->OrderStatus->find('all', array('order' => array('OrderStatus.order ASC')));
		$order_status_list = array();
		
		foreach($status_list AS $status)
		{
			$status_key = $status['OrderStatus']['id'];
			$order_status_list[$status_key] = $status['OrderStatusDescription']['name'];
		}
		
		$this->set('order_status_list',$order_status_list);
	}
	
	function admin_modify_selected ()
	{
		$this->redirect('/orders/admin/');
	}
	
	function admin ($ajax = false)
	{
		$this->set('current_crumb', __('Orders Listing', true));
		$this->set('title_for_layout', __('Orders Listing', true));
		$this->Order->OrderStatus->unbindModel(array('hasMany' => array('OrderStatusDescription')));
		$this->Order->OrderStatus->bindModel(
	        array('hasOne' => array(
				'OrderStatusDescription' => array(
                    'className' => 'OrderStatusDescription',
					'conditions'   => 'OrderStatusDescription.language_id = ' . $this->Session->read('Customer.language_id')
                )
            )
           	)
	    );			
	

		$this->Order->recursive = 2;
		$data = $this->paginate('Order',"Order.order_status_id > 0");

		$this->set('data',$data);

	}	
}
?>